GEOS: geos::noding::SegmentIntersector Class Reference

Public Member Functions

# geos::noding::SegmentIntersector Class Reference

Processes possible intersections detected by a Noder. More...

`#include <SegmentIntersector.h>`

Inheritance diagram for geos::noding::SegmentIntersector:

List of all members.

## Public Member Functions
virtual void | processIntersections (SegmentString *e0, int segIndex0, SegmentString *e1, int segIndex1)=0
virtual bool | isDone () const
| Reports whether the client of this class needs to continue testing all intersections in an arrangement.

## Detailed Description

Processes possible intersections detected by a Noder.

The SegmentIntersector is passed to a Noder. The addIntersections method is called whenever the Noder detects that two SegmentStrings might intersect. This class may be used either to find all intersections, or to detect the presence of an intersection. In the latter case, Noders may choose to short-circuit their computation by calling the isDone method. This class is an example of the Strategy pattern.

Version:
  1.7

## Member Function Documentation

virtual bool geos::noding::SegmentIntersector::isDone | ( | ) | const`[inline, virtual]`

Reports whether the client of this class needs to continue testing all intersections in an arrangement.

Returns:
  true if there is not need to continue testing segments

The default implementation always return false (process all intersections).

Reimplemented in geos::noding::IntersectionAdder, geos::noding::IntersectionFinderAdder, geos::noding::SegmentIntersectionDetector, and geos::noding::SingleInteriorIntersectionFinder.

virtual void geos::noding::SegmentIntersector::processIntersections | ( | SegmentString * | e0,
|  | int | segIndex0,
|  | SegmentString * | e1,
|  | int | segIndex1
| ) |  | `[pure virtual]`

This method is called by clients of the SegmentIntersector interface to process intersections for two segments of the SegmentStrings being intersected.

Implemented in geos::noding::IntersectionAdder, geos::noding::IntersectionFinderAdder, geos::noding::SegmentIntersectionDetector, and geos::noding::SingleInteriorIntersectionFinder.

The documentation for this class was generated from the following file:

- noding/SegmentIntersector.h